Reload Captcha
curl --request GET \
--url https://production.deepvue.tech/v1/ekyc/aadhaar/reload-captcha \
--header 'client-id: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://production.deepvue.tech/v1/ekyc/aadhaar/reload-captcha"
headers = {
"x-api-key": "<api-key>",
"client-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', 'client-id': '<api-key>'}};
fetch('https://production.deepvue.tech/v1/ekyc/aadhaar/reload-captcha', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/ekyc/aadhaar/reload-captcha",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"client-id: <api-key>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/ekyc/aadhaar/reload-captcha"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("client-id", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://production.deepvue.tech/v1/ekyc/aadhaar/reload-captcha")
.header("x-api-key", "<api-key>")
.header("client-id", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/ekyc/aadhaar/reload-captcha")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
request["client-id"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"timestamp": 1738305161129,
"transaction_id": "489dc198583e441c8a66a48ba3059442",
"data": {
"captcha": "base64-encoded-captcha-string"
},
"code": 200
}{
"detail": "Inactive client_id"
}{
"detail": "Not authenticated"
}{
"detail": "Not a valid token"
}{
"detail": [
{
"loc": [
"query",
"session_id"
],
"msg": "field required",
"type": "value_error.missing"
}
]
}{
"detail": "Internal Server Error"
}{
"code": null,
"timestamp": null,
"transaction_id": "string",
"message": "Unable to create a session"
}V1
Reload Captcha
This API can be used in case the user needs to reload the captcha or an invalid captcha is entered.
GET
/
v1
/
ekyc
/
aadhaar
/
reload-captcha
Reload Captcha
curl --request GET \
--url https://production.deepvue.tech/v1/ekyc/aadhaar/reload-captcha \
--header 'client-id: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://production.deepvue.tech/v1/ekyc/aadhaar/reload-captcha"
headers = {
"x-api-key": "<api-key>",
"client-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', 'client-id': '<api-key>'}};
fetch('https://production.deepvue.tech/v1/ekyc/aadhaar/reload-captcha', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/ekyc/aadhaar/reload-captcha",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"client-id: <api-key>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/ekyc/aadhaar/reload-captcha"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("client-id", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://production.deepvue.tech/v1/ekyc/aadhaar/reload-captcha")
.header("x-api-key", "<api-key>")
.header("client-id", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/ekyc/aadhaar/reload-captcha")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
request["client-id"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"timestamp": 1738305161129,
"transaction_id": "489dc198583e441c8a66a48ba3059442",
"data": {
"captcha": "base64-encoded-captcha-string"
},
"code": 200
}{
"detail": "Inactive client_id"
}{
"detail": "Not authenticated"
}{
"detail": "Not a valid token"
}{
"detail": [
{
"loc": [
"query",
"session_id"
],
"msg": "field required",
"type": "value_error.missing"
}
]
}{
"detail": "Internal Server Error"
}{
"code": null,
"timestamp": null,
"transaction_id": "string",
"message": "Unable to create a session"
}Authorizations
The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
The CLIENT_ID provided to you. This header parameter is required for authentication purposes.
Query Parameters
Unique ID assigned by Deepvue when session was initiated
Indicates whether the customer has given consent for validating their KYC. This parameter is mandatory as per regulations.
Specifies the purpose of the KYC check. This parameter is mandatory as per regulations.